Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#417 ADDRESS WITH OUTPUT STEM doesn't always fill the stem

closed-fixed
Mark Hessling
None
5
2014-12-10
2013-11-25
Arthur T.
No

Works on 3.3; doesn't work on 3.7, except when run from rexx.exe rather than regina.exe

For some commands, the output disappears. For some, the output goes to the screen. For some, it works as designed. Following are my test program and its output (run 3 times different ways).


parse version b
say "parse version output:" b
address system 'DIR' with output stem dirtrap.
say dirtrap.0
address system 'HELP HELP' with output stem helptrap.
say helptrap.0
address system 'zip -v' with output stem ziptrap.
say ziptrap.0


11:29 Mon 2013-11-25 D:\utils\Regina\Regina37>f:with
parse version output: REXX-Regina_3.3(MT) 5.00 25 Apr 2004
22
6
28

11:29 Mon 2013-11-25 D:\utils\Regina\Regina37>regina f:with
parse version output: REXX-Regina_3.7(MT) 5.00 14 Oct 2012
22
Provides help information for Windows 2000 commands.

HELP [command]

command - displays help information on that command.

0
0

11:29 Mon 2013-11-25 D:\utils\Regina\Regina37>rexx f:with
parse version output: REXX-Regina_3.7 5.00 14 Oct 2012
22
6
28

11:30 Mon 2013-11-25 D:\utils\Regina\Regina37>

Discussion

  • Arthur T.
    Arthur T.
    2013-11-26

    Running under Windows 2000.

     
  • Mark Hessling
    Mark Hessling
    2014-01-13

    • assigned_to: Mark Hessling
    • Group: --> Next Release
     
  • Mark Hessling
    Mark Hessling
    2014-05-15

    • status: open --> pending
     
  • Mark Hessling
    Mark Hessling
    2014-05-15

    Fixed in v3.8RC1

     
  • Mark Hessling
    Mark Hessling
    2014-06-08

    • Status: pending --> closed-fixed
    • Group: Next Release -->